## Class TWizardNavigationButtonStyle

Description

TWizardNavigationButtonStyle class.

TWizardNavigationButtonStyle defines the style applied to a wizard navigation button. The button type can be specified via ButtonType, which can be 'Button', 'Image' or 'Link'. If the button is an image button, ImageUrl will be used to load the image for the button. Otherwise, ButtonText will be displayed as the button caption.

- since: 3.0
- version: $Id: TWizardNavigationButtonStyle.php 1961 2007-05-22 02:47:45Z xue $
- author: Qiang Xue <qiang.xue@gmail.com>

Located in /Web/UI/WebControls/TWizardNavigationButtonStyle.php (line 32)

    TComponent
       |
       --TStyle
          |
          --TWizardNavigationButtonStyle

Method Summary
void apply (mixed $button)
void copyFrom (TStyle $style)
string getButtonText ()
TWizardNavigationButtonType getButtonType ()
string getImageUrl ()
void mergeWith (TStyle $style)
void reset ()
void setButtonText (string $value)
void setButtonType (TWizardNavigationButtonType $value)
void setImageUrl (string $value)
Methods
apply (line 143)

Applies this style to the specified button

- access: public

void apply (mixed $button)

- mixed $button: button to be applied with this style

copyFrom (line 57)

Copies the fields in a new style to this style.

If a style field is set in the new style, the corresponding field in this style will be overwritten.

- access: public

void copyFrom (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::copyFrom()
  Copies the fields in a new style to this style.

getButtonText (line 110)

- return: button caption
- access: public

string getButtonText ()
getButtonType (line 126)

- return: button type. Default to TWizardNavigationButtonType::Button.
- access: public

TWizardNavigationButtonType getButtonType ()
getImageUrl (line 94)

- return: image URL for the image button
- access: public

string getImageUrl ()
mergeWith (line 77)

Merges the style with a new one.

If a style field is not set in this style, it will be overwritten by the new one.

- access: public

void mergeWith (TStyle $style)

- TStyle $style: the new style

Redefinition of:

TStyle::mergeWith()
  Merges the style with a new one.

reset (line 43)

Sets the style attributes to default values.

This method overrides the parent implementation by resetting additional TWizardNavigationButtonStyle specific attributes.

- access: public

void reset ()

Redefinition of:

TStyle::reset()
  Resets the style to the original empty state.

setButtonText (line 118)

- access: public

void setButtonText (string $value)

- string $value: button caption

setButtonType (line 134)

- access: public

void setButtonType (TWizardNavigationButtonType $value)

- TWizardNavigationButtonType $value: button type.

setImageUrl (line 102)

- access: public

void setImageUrl (string $value)

- string $value: image URL for the image button

#### Inherited Methods

Inherited From TStyle

> TStyle::__construct()
> TStyle::addAttributesToRender()
> TStyle::clearStyleField()
> TStyle::copyFrom()
> TStyle::getBackColor()
> TStyle::getBorderColor()
> TStyle::getBorderStyle()
> TStyle::getBorderWidth()
> TStyle::getCssClass()
> TStyle::getCustomStyle()
> TStyle::getDisplayStyle()
> TStyle::getFont()
> TStyle::getForeColor()
> TStyle::getHeight()
> TStyle::getStyleField()
> TStyle::getStyleFields()
> TStyle::getWidth()
> TStyle::hasCssClass()
> TStyle::hasFont()
> TStyle::hasStyleField()
> TStyle::mergeWith()
> TStyle::reset()
> TStyle::setBackColor()
> TStyle::setBorderColor()
> TStyle::setBorderStyle()
> TStyle::setBorderWidth()
> TStyle::setCssClass()
> TStyle::setCustomStyle()
> TStyle::setDisplayStyle()
> TStyle::setForeColor()
> TStyle::setHeight()
> TStyle::setStyleField()
> TStyle::setWidth()
> TStyle::__clone()

Inherited From TComponent

> TComponent::addParsedObject()
> TComponent::attachEventHandler()
> TComponent::canGetProperty()
> TComponent::canSetProperty()
> TComponent::createdOnTemplate()
> TComponent::detachEventHandler()
> TComponent::evaluateExpression()
> TComponent::evaluateStatements()
> TComponent::getEventHandlers()
> TComponent::getSubProperty()
> TComponent::hasEvent()
> TComponent::hasEventHandler()
> TComponent::hasProperty()
> TComponent::raiseEvent()
> TComponent::setSubProperty()
> TComponent::__get()
> TComponent::__set()

Documentation generated on Mon, 21 Apr 2008 11:36:51 -0400 by phpDocumentor 1.3.0RC4